SDL_GameControllerButtonBind Struct Reference

`#include <SDL_gamecontroller.h>`

## Data Fields

SDL_GameControllerBindType | bindType
union { |
int button |
int axis |
struct { |
int hat |
int hat_mask |
} hat
} | value

## Detailed Description

Get the SDL joystick layer binding for this controller button/axis mapping

Definition at line 93 of file SDL_gamecontroller.h.

## Field Documentation

## axis

int SDL_GameControllerButtonBind::axis

Definition at line 99 of file SDL_gamecontroller.h.

## bindType

SDL_GameControllerBindType SDL_GameControllerButtonBind::bindType

Definition at line 95 of file SDL_gamecontroller.h.

## button

int SDL_GameControllerButtonBind::button

Definition at line 98 of file SDL_gamecontroller.h.

## [struct] [1/2]

struct { ... } SDL_GameControllerButtonBind::hat

## hat [2/2]

int SDL_GameControllerButtonBind::hat

Definition at line 101 of file SDL_gamecontroller.h.

## hat_mask

int SDL_GameControllerButtonBind::hat_mask

Definition at line 102 of file SDL_gamecontroller.h.

## [union]

union { ... } SDL_GameControllerButtonBind::value

The documentation for this struct was generated from the following file:

- SDL_gamecontroller.h